Home > Could Not > Could Not Find Rubygem Appengine-tools

Could Not Find Rubygem Appengine-tools

We're using jruby-jars 1.5.5 in our demo Rails 2.3.x app, works great.RubyConf - I've been busy with a side project, so I won't be able to present at RubyConf, but Nick It is also a hybrid app, the same data is accessed by Rails and Dubious. The big change for JRuby with this release was that app.yaml must now live in the WEB-INF dir. What's the correct term to describe baby food? Source

All other methods are still handled with Rails and DataMapper. Why do Latin nouns (like cena, -ae) include two forms? How do I answer a question on graduate school applications on textbooks used in my classes, when my class didn't use a textbook? https://gist.github.com/861469 khelll View March 8, 2011 @ranendra, 2 things: 1- You don't need to keep prefixing the commands with "jruby" like doing: "jruby whatever_statement".

I'm blogging about it to share you the idea and save you some time googling solutions. You can also reserve three instances by purchasing "Always On" for $9 per month. gem install jruby-openssl for full support. Based on this rack bug, it looks like we'll have Rails 2.3.10 soon.

You'll only be able to use Jruby on App Engine, so it's unlikely the library is tested on CRuby. –Nick Johnson Nov 23 '11 at 0:24 1 If you read That's not required so that you run the app since the gems will get bundled for you upon running the development server or going live. Reload to refresh your session. I like this stack cause it's Zero cent cost, Zero deployment time, flexible, and it gives me exactly the freedom I want in terms of needed gems.

Friday, December 3, 2010 Google App Engine 0.0.19 gems released We just released the 0.0.19 google-appengine gem. How You Can Use the Internet to Learn a Foreign Language View March 6, 2011 […] Google App Engine, JRuby, Sinatra and some fun! | Khaled … […] Tom View March skip to main | skip to sidebar JRuby on App Engine Free to get up and running. Clicking Here Is ATC communication subject to FCC profanity regulations?

See the 1.3.8 blog post for more information.App Engine SDK updated to version 1.3.8App Engine APIs updated to version 0.0.21Rails and Datastore - Josh Moore recently pushed rails_dm_datastore 0.2.16, and appengine-paginator Personally, I granted them the developer role. Got me into trying things with jruby and appengine for the first time and these seem like a cool thing together. Yesterday, I installed JRuby using rvm and it installed the Nailgun which is JRuby 1.5.6.

file:/home/app/.gem/ruby/1.8/gems/appengine-jruby-jars-0.0.7.pre/lib/appengine-jruby-rubygems-0.0.7.pre.jar!/rubygems.rb:827:in `report_activate_error': Could not find RubyGem appengine-tools (>= 0) (Gem::LoadError) from file:/home/app/.gem/ruby/1.8/gems/appengine-jruby-jars-0.0.7.pre/lib/appengine-jruby-rubygems-0.0.7.pre.jar!/rubygems.rb:261:in `activate' from file:/home/app/.gem/ruby/1.8/gems/appengine-jruby-jars-0.0.7.pre/lib/appengine-jruby-rubygems-0.0.7.pre.jar!/rubygems.rb:68:in `gem' from /home/app/.gem/ruby/1.8/bin/appcfg.rb:18 dev002:~/tmp/gaeprof% dev_appserver.rb . => Booting DevAppServer => Press Ctrl-C to shutdown server file:/home/app/.gem/ruby/1.8/gems/appengine-jruby-jars-0.0.7.pre/lib/appengine-jruby-rubygems-0.0.7.pre.jar!/rubygems.rb:827:in Redirecting to https://groups.google.com/forum/feed/appengine-jruby/msgs/rss_v2_0.xml... Everything you need installs as gems. This can reduce the latency an end-user sees for initializing your application."This is means that JRuby (Sinatra or Rails) applications will work much better on App Engine.

This included a patch by Patrick Cheng that fixes an annoying bug that made it difficult to deploy hybrid apps. http://jessriegel.com/could-not/jruby-could-not-find-rubygem-bundler.html Splitting a line into two Theorems demoted back to conjectures How do organic chemistry mechanisms become accepted? Did Donald Trump say that "global warming was a hoax invented by the Chinese"? Users will not experience spin-up delays as they have in the past because new instances will spin-up in the background.

If everything is OK, go to http://localhost:8080/notfiy and you should see "Done". memcache.set(hashed_guid, 1) res << info end end res end # parse the feed def get_results results = {} doc = Nokogiri::XML(AppEngine::URLFetch.fetch(@feed_url).body) doc.css('item').each do |item| title = item.at_css('title').content link = item.at_css('link').content description Instantly publish your gems and then install them. have a peek here I had a question that might not be 100% relevant to the post but would appreciate if anyone here knows, I want to use the just released jruby 1.6.0 but in

A Page of Puzzling Get out of the transit airport at Schengen area and the counting of Schengen period How to put a diacritic on top of an i? Thus, I decided to try something new this time and I went with GAE since it has memecached that I can use as an LRU cache, also it has cronjobs and Posted by John Woodell at 6:00 PM 1 comment: Saturday, September 4, 2010 Google App Engine 0.0.17 gems released We just released the 0.0.17 google-appengine gem.

It now uses the most current gems for JRuby, JRuby-Rack and JRuby-OpenSSL.

Give it a shot, you won't regret it! more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed I will have a Rails 3.0 script shortly. My AccountSearchMapsYouTubePlayNewsGmailDriveCalendarGoogle+TranslatePhotosMoreShoppingWalletFinanceDocsBooksBloggerContactsHangoutsEven more from GoogleSign inHidden fieldsSearch for groups or messages current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list.

Or even a close guess at where I should look at? Now, go back to the source and modify the application-id in WEB-INF/app.yaml application your-app-id 1 application your-app-id We should be ready now, start development server, watch the console and make sure khelll View March 6, 2011 I'm using Ubuntu, but I'm pretty sure it should work on windows since JRuby is supporting Windows very well. Check This Out Reload to refresh your session.

But again, I don't fully understand this and I don't have the big picture of how this whole appengine jruby integration works 🙁 Peter MacRobert View April 27, 2011 Great post, The rails-depot source shows the storage_names override.Rails 2.3.8 - I updated the Rails 2.3.8 setup script. Embed Embed this gist in your website.